Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 593039 - Miro raises system volume to maximum when playing video
Miro raises system volume to maximum when playing video
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 13:20 EDT by Joe Bayes
Modified: 2012-08-16 18:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
miro-log (58.50 KB, text/plain)
2010-05-17 14:31 EDT, Joe Bayes
no flags Details

  None (edit)
Description Joe Bayes 2010-05-17 13:20:46 EDT
Description of problem:
When I push the "play" button, Miro raises the system volume to maximum. If I turn it down and then play another Miro video, it re-raises it to maximum. 

Version-Release number of selected component (if applicable):
Miro-3.0.1-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. Play a video. For example, http://video.ted.com/talks/podcast/DanMeyer_2010X_480.mp4 (although the bug manifests with many other videos).
  
Actual results:
Miro sets the little loudspeaker icon at the bottom of the screen to maximum. I rip my headphones off my head, yelping in pain.

Expected results:
Miro plays the audio using the same volume as I had set before.

Additional info:
Comment 1 Joe Bayes 2010-05-17 13:58:38 EDT
I played around with it a little more, and figured out that Miro seems to temporarily adjust the system volume setting based on the Miro volume setting. So if I adjust the Miro volume setting while a vid is playing, it automatically adjusts the system volume, then when the vid quits it re-sets the system volume to whatever it was before. 

This was not the case with Miro 2.5.x. In 2.5.x, the Miro volume slider didn't do anything, and I just adjusted the volume with the system volume widget. 

The current behavior is too confusing.
Comment 2 will kahn-greene 2010-05-17 14:09:09 EDT
I've never seen the behavior where the Miro volume control changes the system volume rather than the application volume.  So I'm a little puzzled as to why this is happening to you.

Can you attach the miro-log file to this bug?
Comment 3 Joe Bayes 2010-05-17 14:31:37 EDT
Created attachment 414634 [details]
miro-log
Comment 4 will kahn-greene 2010-05-17 15:27:27 EDT
I can reproduce this with default settings on both Fedora 12 and Fedora 13.  I'm really puzzled, though, because all Miro is doing is setting the "volume" property of the gstreamer playbin2 element.

Miro doesn't do this on Ubuntu Karmic or Ubuntu Lucid.  Lucid uses gstreamer 0.10.28.  Fedora 12 and 13 have 0.10.29.  It could be a problem with the gstreamer playbin2 element or something like that.

Miro 3.0 is the first version to use the playbin2 element--prior versions used the playbin element.

Often when we have problems with Miro, we check to see if Totem has similar issues since both Miro and Totem use gstreamer.  In this case, I can reproduce the volume issue with Totem, too:

1. Set system volume to 0 by clicking on the volume applet and moving the slider to the bottom--but not all the way so that it's muted
2. Start Totem
3. Open a file
4. Play file
5. Push the volume in Totem to the top--you'll see the system volume go to the top, too.

I don't really know where that gets us, but it seems to me this is either a bug in Fedora/gstreamer or it's intended behavior.
Comment 5 will kahn-greene 2010-05-17 16:31:03 EDT
I asked around and I think I understand what's going on.  The problem is that Miro is running into PulseAudio's one volume thing coupled with us (PCF) changing the max volume from 1.0 to 3.0 in Miro 3.0.

If you drop the volume slider below 1/3 of the span, then when Miro plays a video/audio item, the system volume won't go to max--it'll go to an equivalent volume.

I'll tweak Miro so that MAX_VOLUME is 2.0 for Miro 3.0.2.

Upstream bug is http://bugzilla.pculture.org/show_bug.cgi?id=13383 .

If Fedora packagers think that's too high, then they can patch it down to some smaller number.
Comment 6 Fedora Update System 2010-06-03 15:31:58 EDT
Miro-3.0.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/Miro-3.0.2-1.fc13
Comment 7 Fedora Update System 2010-06-03 15:32:20 EDT
Miro-3.0.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/Miro-3.0.2-1.fc12
Comment 8 Fedora Update System 2010-06-04 14:55:38 EDT
Miro-3.0.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/Miro-3.0.2-1.fc12
Comment 9 Fedora Update System 2010-06-04 14:56:35 EDT
Miro-3.0.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/Miro-3.0.2-1.fc13
Comment 10 Fedora Update System 2010-06-10 15:10:33 EDT
Miro-3.0.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-06-10 15:23:10 EDT
Miro-3.0.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Joe Bayes 2010-06-10 15:34:01 EDT
Behavior has changed, but it isn't fixed. 

Current behavior (Miro-3.0.2-1.fc13.x86_64) is that when a video is started or the miro volume slider is changed, the system volume is set to the higher of the system volume and the miro volume. The actual volume seems to be influenced by both settings. 

Could somebody in-the-know please describe the intended behavior? Are the volume percentages supposed to be independently set and applied in series? Or are both volume sliders intended to be lockstepped together, each adjusting the one volume setting?
Comment 13 will kahn-greene 2010-06-10 15:53:45 EDT
Like I said in comment 4, I can reproduce the lock-step volume behavior with Totem so that indicates to me that it's a Fedora/Pulseaudio thing and not a Miro thing.

The thing that was fixed in 3.0.2 is that Miro no longer pushes the system volume to 300%.
Comment 14 Lennart Poettering 2010-11-21 20:44:02 EST
I am not sure I understand this bug. Is it that there is some kind of feedback loop that on each track the volume is bumped a little more? If so sounds like a bug in Miro in that it feedsback volume info it got from pa. It shouldn't do that.
Comment 15 Joe Bayes 2010-11-21 22:23:24 EST
No, the volume is not bumped a little more on each track. I don't think there is a feedback loop. 

Rather, it's as if Miro is executing the following code whenever the miro volume slider is changed, and also whenever a video is started:

system_volume = max (system_volume, f(miro_volume));

and then somewhere in the decoding pipeline
output = miro_volume * system_volume * input_from_video_track;

where miro_volume is the value of the miro volume slider, 
system_volume is the value of the mixer widget at the bottom right of my desktop, 
output is the percieved volume that I hear in my headphones, 
and f is a bizarre function which I haven't figured out yet, but which conforms to the following:

x    f(x)
---------
5    37
11   47
22   60
32   68
49   79
60   84
74   90
89   96
100  100
Comment 16 Joe Bayes 2011-02-17 00:32:54 EST
Leonard, was that explanation clear enough? If not, let me try again:

Miro has a volume slider in the lower right corner of the program. 
Kmix has a volume slider as well.

If I adjust Miro's volume slider to 100%, and then play a Miro video, the volume is very loud. So I adjust the kmix volume slider to 20%, and then the volume is fine. 

And then I press "stop" in Miro, and then press "play". Kmix's volume slider automatically adjusts itself to 100%, and the volume is again very loud. 

I don't think it is a bug in Miro, because espeak has the same problem: if I adjust the kmix slider to 20%, then "espeak foo", then the kmix slider automatically adjusts itself to 100%.
Comment 17 Fedora End Of Life 2012-08-16 18:06:02 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.